#!/bin/bash

filename="output/tiling_$1$2$3"
for i in $(seq 5 $#); do filename+="_${!i}"; done
filename_svg="${filename}.svg"
filename_pdf="${filename}.pdf"

if [ $# -lt 4 ]; then
	./hyperbolic
else
	./hyperbolic $* > "$filename_svg" && rsvg-convert --format=pdf "$filename_svg" > "$filename_pdf"
fi
