#ifndef TRIANGLE_H
#define TRIANGLE_H

#include <stdio.h>
#include <string.h>
#include <memory.h>

#include "queue.h"

typedef struct _groupelement {
	int id;
	int length;
	struct _groupelement *adj[3];
	struct _groupelement *parent;
	struct _groupelement *inverse;
	int letter;
} groupelement_t;

int generate_triangle_group(groupelement_t *group, int size, int k1, int k2, int k3);

#endif
